Subject: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Alan Third <[email-masked]>
Date: Fri, 17 Jan 2020 18:53:32 +0000

On Wed, Jan 15, 2020 at 04:48:56PM -0500, Michael Dixon wrote:
> 
> > 
> > That’s good.
> > 
> > I suppose it just leaves the question of whether we disable this for
> > macOS 10.15, or if we just get rid of it altogether. My understanding
> > is that all it does is allow the use of C-g to quit the file open and
> > save dialogues. I don’t see much reason to keep it, but if anyone
> > actually uses this let me know.
> 
> And sorry, just to complicate things, it looks like the patch fixed
> anything related to File > Open. But I just tried to use the menu to
> do a File > Save as… and that still resulted in a crash. File > Save
> worked fine though.

Can you send the crash report for this? It can’t be for the same Classes.
-- 
Alan Third